Index: libfdproto/dictionary.c
===================================================================
--- libfdproto/dictionary.c	(revision 906)
+++ libfdproto/dictionary.c	(revision 907)
@@ -156,11 +156,11 @@
 
 /* Forward declarations of search functions */
-static int search_vendor 	( struct dictionary * dict, int criteria, void * what, struct dict_object **result );
-static int search_application   ( struct dictionary * dict, int criteria, void * what, struct dict_object **result );
-static int search_type 		( struct dictionary * dict, int criteria, void * what, struct dict_object **result );
-static int search_enumval 	( struct dictionary * dict, int criteria, void * what, struct dict_object **result );
-static int search_avp		( struct dictionary * dict, int criteria, void * what, struct dict_object **result );
-static int search_cmd		( struct dictionary * dict, int criteria, void * what, struct dict_object **result );
-static int search_rule		( struct dictionary * dict, int criteria, void * what, struct dict_object **result );
+static int search_vendor 	( struct dictionary * dict, int criteria, const void * what, struct dict_object **result );
+static int search_application   ( struct dictionary * dict, int criteria, const void * what, struct dict_object **result );
+static int search_type 		( struct dictionary * dict, int criteria, const void * what, struct dict_object **result );
+static int search_enumval 	( struct dictionary * dict, int criteria, const void * what, struct dict_object **result );
+static int search_avp		( struct dictionary * dict, int criteria, const void * what, struct dict_object **result );
+static int search_cmd		( struct dictionary * dict, int criteria, const void * what, struct dict_object **result );
+static int search_rule		( struct dictionary * dict, int criteria, const void * what, struct dict_object **result );
 
 /* The following array contains lot of data about the different types of objects, for automated handling */
@@ -173,5 +173,5 @@
 	int			eyecatcher;	/* A kind of signature for this object */
 	void 		      (*dump_data)(void * data );	/* The function to dump the data section */
-	int 		      (*search_fct)(struct dictionary * dict, int criteria, void * what, struct dict_object **result );;	/* The function to search an object of this type */
+	int 		      (*search_fct)(struct dictionary * dict, int criteria, const void * what, struct dict_object **result );;	/* The function to search an object of this type */
 	int			haslist[NB_LISTS_PER_OBJ];	/* Tell if this list is used */
 } dict_obj_info[] = { { 0, "(error)", 0, 0, 0, 0, NULL, NULL, {0, 0, 0} }
@@ -724,5 +724,5 @@
 }
 
-static int search_vendor ( struct dictionary * dict, int criteria, void * what, struct dict_object **result )
+static int search_vendor ( struct dictionary * dict, int criteria, const void * what, struct dict_object **result )
 {
 	int ret = 0;
@@ -755,5 +755,5 @@
 }
 
-static int search_application ( struct dictionary * dict, int criteria, void * what, struct dict_object **result )
+static int search_application ( struct dictionary * dict, int criteria, const void * what, struct dict_object **result )
 {
 	int ret = 0;
@@ -792,5 +792,5 @@
 }
 
-static int search_type ( struct dictionary * dict, int criteria, void * what, struct dict_object **result )
+static int search_type ( struct dictionary * dict, int criteria, const void * what, struct dict_object **result )
 {
 	int ret = 0;
@@ -823,5 +823,5 @@
 }
 
-static int search_enumval ( struct dictionary * dict, int criteria, void * what, struct dict_object **result )
+static int search_enumval ( struct dictionary * dict, int criteria, const void * what, struct dict_object **result )
 {
 	int ret = 0;
@@ -928,5 +928,5 @@
 }
 
-static int search_avp ( struct dictionary * dict, int criteria, void * what, struct dict_object **result )
+static int search_avp ( struct dictionary * dict, int criteria, const void * what, struct dict_object **result )
 {
 	int ret = 0;
@@ -1037,5 +1037,5 @@
 }
 
-static int search_cmd ( struct dictionary * dict, int criteria, void * what, struct dict_object **result )
+static int search_cmd ( struct dictionary * dict, int criteria, const void * what, struct dict_object **result )
 {
 	int ret = 0;
@@ -1110,5 +1110,5 @@
 }
 
-static int search_rule ( struct dictionary * dict, int criteria, void * what, struct dict_object **result )
+static int search_rule ( struct dictionary * dict, int criteria, const void * what, struct dict_object **result )
 {
 	int ret = 0;
@@ -1923,5 +1923,5 @@
 
 
-int fd_dict_search ( struct dictionary * dict, enum dict_object_type type, int criteria, void * what, struct dict_object **result, int retval )
+int fd_dict_search ( struct dictionary * dict, enum dict_object_type type, int criteria, const void * what, struct dict_object **result, int retval )
 {
 	int ret = 0;
